Class ResteasyEndpointBuilderFactory.ResteasyHeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.ResteasyEndpointBuilderFactory.ResteasyHeaderNameBuilder
-
- Enclosing interface:
- ResteasyEndpointBuilderFactory
public static class ResteasyEndpointBuilderFactory.ResteasyHeaderNameBuilder extends Object
The builder of headers' name for the Resteasy component.
-
-
Constructor Summary
Constructors Constructor Description ResteasyHeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description StringcontentEncoding()The HTTP content encoding.StringcontentType()The content type.Stringhost()The target host.StringhttpCharacterEncoding()The character encoding.StringhttpMethod()The http method to use.StringhttpPath()The http path.StringhttpProtocolVersion()The version of the http protocol used.StringhttpQuery()The http query.StringhttpRawQuery()The http raw query.StringhttpResponseCode()The HTTP response code from the external server.StringhttpResponseText()The HTTP response text from the external server.StringhttpUri()URI to call.StringresteasyContextPath()The context path.StringresteasyHttpMethod()The resteasy method to process the request.StringresteasyHttpRequest()The http request.StringresteasyLogin()The username.StringresteasyPassword()The password.StringresteasyProxyMethod()The resteasy method to process the request.StringresteasyProxyMethodArgs()The proxy method params.StringresteasyProxyProducerException()The proxy client exception.StringrestHttpQuery()The rest http query.StringrestHttpUri()The rest http URI.
-
-
-
Method Detail
-
resteasyProxyMethod
public String resteasyProxyMethod()
The resteasy method to process the request. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
ResteasyProxyMethod.
-
resteasyProxyMethodArgs
public String resteasyProxyMethodArgs()
The proxy method params. The option is a:java.util.ArrayListtype. Group: producer- Returns:
- the name of the header
ResteasyProxyMethodArgs.
-
resteasyLogin
public String resteasyLogin()
The username. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
ResteasyLogin.
-
resteasyPassword
public String resteasyPassword()
The password. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
ResteasyPassword.
-
resteasyContextPath
public String resteasyContextPath()
The context path. The option is a:Stringtype. Group: common- Returns:
- the name of the header
ResteasyContextPath.
-
resteasyHttpMethod
public String resteasyHttpMethod()
The resteasy method to process the request. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
ResteasyHttpMethod.
-
resteasyHttpRequest
public String resteasyHttpRequest()
The http request. The option is a:Stringtype. Group: common- Returns:
- the name of the header
ResteasyHttpRequest.
-
resteasyProxyProducerException
public String resteasyProxyProducerException()
The proxy client exception. The option is a:Exceptiontype. Group: producer- Returns:
- the name of the header
ResteasyProxyProducerException.
-
httpQuery
public String httpQuery()
The http query. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpQuery.
-
contentType
public String contentType()
The content type. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Content-Type.
-
httpPath
public String httpPath()
The http path. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpPath.
-
contentEncoding
public String contentEncoding()
The HTTP content encoding. Is set on both the IN and OUT message to provide a content encoding, such as gzip. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Content-Encoding.
-
httpResponseCode
public String httpResponseCode()
The HTTP response code from the external server. Is 200 for OK. The option is a:inttype. Group: producer- Returns:
- the name of the header
HttpResponseCode.
-
httpResponseText
public String httpResponseText()
The HTTP response text from the external server. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpResponseText.
-
httpProtocolVersion
public String httpProtocolVersion()
The version of the http protocol used. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpProtocolVersion.
-
host
public String host()
The target host. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Host.
-
restHttpUri
public String restHttpUri()
The rest http URI. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
RestHttpUri.
-
httpUri
public String httpUri()
URI to call. Will override existing URI set directly on the endpoint. This uri is the uri of the http server to call. Its not the same as the Camel endpoint uri, where you can configure endpoint options such as security etc. This header does not support that, its only the uri of the http server. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpUri.
-
restHttpQuery
public String restHttpQuery()
The rest http query. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
RestHttpQuery.
-
httpRawQuery
public String httpRawQuery()
The http raw query. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpRawQuery.
-
httpMethod
public String httpMethod()
The http method to use. The option is a:org.apache.camel.component.http.HttpMethodstype. Group: producer- Returns:
- the name of the header
HttpMethod.
-
httpCharacterEncoding
public String httpCharacterEncoding()
The character encoding. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpCharacterEncoding.
-
-